Skip to main content
PUT
/
networks
/
affiliates
/
{affiliateId}
/
trackingdomains
Update Affiliate Tracking Domain
curl --request PUT \
  --url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/trackingdomains \
  --header 'Content-Type: application/json' \
  --header 'X-Eflow-Api-Key: <api-key>' \
  --data '
{
  "network_affiliate_id": 7,
  "network_tracking_domain_id": 1,
  "network_affiliate_tracking_domain_id": 4,
  "is_apply_all_offers": false,
  "network_offer_id": 1
}
'
{
  "network_affiliate_tracking_domain_id": 4,
  "network_id": 1,
  "network_affiliate_id": 7,
  "network_tracking_domain_id": 1,
  "is_apply_all_offers": false,
  "network_offer_id": 1,
  "relationship": {
    "affiliate": {
      "network_affiliate_id": 7,
      "network_id": 1,
      "name": "Partner A",
      "account_status": "active",
      "network_traffic_source_id": 0
    },
    "tracking_domain": {
      "network_tracking_domain_id": 1,
      "network_id": 1,
      "url": "www.testtracking.com",
      "is_primary_domain": true,
      "domain_status": "active",
      "is_unassignable": false,
      "ownership": "internal",
      "is_ssl_enabled": false,
      "html_static_redirect": "",
      "url_redirect": "",
      "public_notes": "",
      "time_created": 1774296114,
      "time_saved": 1774296114
    },
    "offer": {
      "network_offer_id": 1,
      "network_id": 1,
      "network_advertiser_id": 13,
      "network_offer_group_id": 0,
      "name": "Auto Game",
      "offer_status": "active",
      "network_tracking_domain_id": 1,
      "visibility": "public",
      "currency_id": "USD"
    }
  }
}
Update an existing affiliate tracking domain assignment. This is a full object replacement. Note: If is_apply_all_offers is set to true but a specific network_offer_id is provided, the backend will override is_apply_all_offers to false.

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

affiliateId
integer
required

The unique affiliate ID.

Body

application/json
network_affiliate_id
integer
required

The affiliate ID.

network_tracking_domain_id
integer
required

The tracking domain ID to assign.

network_affiliate_tracking_domain_id
integer
required

The ID of the affiliate tracking domain assignment to update.

is_apply_all_offers
boolean
required

Whether to apply this tracking domain to all offers.

network_offer_id
integer
required

The offer ID to apply this tracking domain to.

Response

200 - application/json

OK

network_affiliate_tracking_domain_id
integer

Unique affiliate tracking domain assignment ID.

network_id
integer

Network ID.

network_affiliate_id
integer

Affiliate ID.

network_tracking_domain_id
integer

Tracking domain ID.

is_apply_all_offers
boolean

Whether this tracking domain applies to all offers.

network_offer_id
integer

The specific offer ID this domain is applied to.

relationship
object

Related data for this affiliate tracking domain assignment. Includes affiliate, tracking domain, and optionally offer details.